### Method

# SpiceClientGLib UsbDevice get_description

#### Declaration [src]

    gchar*
    spice_usb_device_get_description (
      SpiceUsbDevice* device,
      const gchar* format
    )

#### Description [src]

Get a string describing the device which is suitable as a description of the device for the end user. The returned string should be freed with `g_free()` when no longer needed.

The `format` positional parameters are the following: 1. \%s manufacturer 2. \%s product 3. \%s descriptor (a [vendor_id:product_id] string) 4. \%d bus 5. \%d address

(the default format string is “\%s \%s \%s at \%d-\%d”).

#### Parameters

`format`

  Type: `const gchar*`

  An optional `printf()` format string with positional parameters.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A newly-allocated string holding the description, or `NULL` if failed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.